@echo off
call "%~dp0\o4w_env.bat"
call "%OSGEO4W_ROOT%\apps\grass\grass78\etc\env.bat"
call qt5_env.bat
call gdal2-py3-env.bat
@echo off
path %OSGEO4W_ROOT%\apps\qgis-ltr\bin;%OSGEO4W_ROOT%\apps\grass\grass78\lib;%OSGEO4W_ROOT%\apps\grass\grass78\bin;%PATH%
set QGIS_PREFIX_PATH=%OSGEO4W_ROOT:\=/%/apps/qgis-ltr
set GDAL_FILENAME_IS_UTF8=YES
REM Set VSI cache to be used as buffer, see #6448
set VSI_CACHE=TRUE
set VSI_CACHE_SIZE=1000000
set QT_PLUGIN_PATH=%OSGEO4W_ROOT%\apps\qgis-ltr\qtplugins;%OSGEO4W_ROOT%\apps\qt5\plugins

REM Optional: Version wird aus Pfad ausgelesen ("P:\qgis\v3\..." -> "v3")
REM set "QGIS_VER=%OSGEO4W_ROOT%
REM for %%f in (%QGIS_VER%) do set QGIS_VER=%%~nxf

REM Pfad zum Benutzerprofile festlegen
set "QGIS_UDIR=%USERPROFILE%\AppData\Roaming\QGIS\qgis-ltr"

REM Modus setzen (RUN|) ["RUN" für Nutzerbetrieb; leer lassen für Konfigurationsmodus]
set "QGIS_MODE=RUN"
call "%OSGEO4W_ROOT%\bin\qgis-ltr-prepare.bat" %QGIS_MODE%

REM originales Startkommando auskommentiert
REM start "QGIS" /B "%OSGEO4W_ROOT%\bin\qgis-ltr-bin-g7.exe" %*
start "QGIS" /B "%OSGEO4W_ROOT%\bin\qgis-ltr-bin-g7.exe" --profiles-path "%QGIS_UDIR%" %*
